import S3Stack from "./s3";
import CognitoStack from "./cognito";
import DynamoDBStack from "./dynamodb";

// Add stacks
export default function main(app) {
  new DynamoDBStack(app, "dynamodb");

  const s3 = new S3Stack(app, "s3");

  new CognitoStack(app, "cognito", { bucketArn: s3.bucket.bucketArn });
}
